//---------------------------------------------------------------------------

#ifndef usartH
#define usartH
//---------------------------------------------------------------------------

// stop bits
typedef enum{
	ONE=10,
	ONE5=15,
	TWO=20
}EStpb;

// parity
typedef enum{
	NO=0,
	ODD=1,
	EVEN=2,
	SPACE=3,
	MARK=4
}EParf;

// ====== function prototypes ======
extern int COMcheck(int comn);
extern int COMopen(HANDLE *cporth,int comn);
extern int COMclose(HANDLE *cporth);
extern int COMsetBuf(HANDLE cporth,int inlen,int outlen);
extern int COMsetFormat(HANDLE cporth,int baud,EStpb stp,EParf par,int bsz,int rts,int cts);
extern int COMsetTimeouts(HANDLE cporth, int rxinterval, int rxtime, int rxmult, int txtime, int txmult);

extern int COMflushInput(HANDLE cporth);
extern int COMflushOutput(HANDLE cporth);
extern int COMrxLen(HANDLE cporth,int *tord);
extern int COMtxLen(HANDLE cporth,int *towr);

extern int COMtxByte(HANDLE cporth,unsigned char byte);
extern int COMrxByte(HANDLE cporth,unsigned char *byte);
extern int COMtxData(HANDLE cporth,void *data,int len);
extern int COMrxData(HANDLE cporth,void *data,int len);

/*extern int COMopen(HANDLE *cporth, char *cportname);
extern void COMclose(HANDLE *cporth);
extern bool COMsetBuf(HANDLE cporth, int inlen, int outlen);
extern void COMsetFormat(HANDLE cporth, int baud, int stopbit);
extern void COMsetTimeouts(HANDLE cporth, int rxinterval, int rxtime, int rxmult, int txtime, int txmult);
extern void COMflushInput(HANDLE cporth);
extern unsigned long COMrxByte(HANDLE cporth, byte *byte);
extern unsigned long COMtxByte(HANDLE cporth, byte byte);
extern unsigned long COMtxData(HANDLE cporth, void *data, unsigned long datalen);
extern unsigned long COMrxData(HANDLE cporth, void *data, unsigned long datalen);*/


#endif
